@charset "utf-8";

html{
	scroll-behavior: smooth;
}

body {
	margin: 0px;
	height: 100vh;
}

.title {
	display: flex;
	justify-content: center;
}

button.reset {
	height: min-content;
	transition: background .25s, border-color .25s;
	background: rgba(40, 44, 52, .05);
	border: 1px solid transparent;
	border-radius: 6px;
	color: #3080d0;
	text-decoration: none!important;
	display: inline-block;
	font-size: .8rem;
	padding: 8px 16px;
	margin: 0 8px 8px 0;
	cursor: pointer;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.charts-container {
	width: 100%;
	text-align: center;
	overflow-x: auto; /* Enable horizontal scrolling on smaller screens */
}

.chart-container {
	display: inline-block;
	width: 90%; /* Adjust width for smaller screens */
	max-width: 400px; /* Limit maximum width */
	margin: 0 auto; /* Center align on smaller screens */
}

.chart-container canvas {
	width: 100%;
	height: auto;
}

/* CSS editing for nav specifically for sensor_details */
nav {
	padding-left: 20px;
}
.date.container {
	max-width: 400px;
	margin: 50px auto;
}
.date.container label {
	display: block;
	margin-bottom: 5px;
}
.date.container input[type="date"] {
	width: 100%;
	padding: 8px;
	border: 1px solid #ccc;
	border-radius: 4px;
	box-sizing: border-box;
	margin-bottom: 10px;
}
.date.container button {
	background-color: #007bff;
	color: #fff;
	padding: 10px 20px;
	border: none;
	border-radius: 4px;
	cursor: pointer;
}
.date.container button:hover {
	background-color: #0056b3;
}

.contents{
	margin-left: 7%;
	transition: transform .6s cubic-bezier(0.215, 0.61, 0.355, 1);
}
#drawer{
	display: none;
}
label{
	cursor: pointer;
	position: fixed;
}
.open{
	z-index: 2;
	top: 8px;
	right: 8px;
	width: 48px;
	height: 48px;
	border-radius: 48px;
	background: #86c0de;
	transition: background .6s, transform .6s cubic-bezier(0.215, 0.61, 0.355, 1);
}
.open::before,
.open::after{
	content: "";
}
.open span,
.open::before,
.open::after{
	content: "";
	position: absolute;
	top: calc(50% - 1px);
	left: 30%;
	width: 20px;
	border-bottom: 2px solid white;
	transition: transform .6s cubic-bezier(0.215, 0.61, 0.355, 1);
}
.open::before{
	transform: translateY(-8px);
}
.open::after{
	transform: translateY(8px);
}
.close{
	z-index: 1;
	inset: 0;
	pointer-events: none;
	transition: background .6s;
}
#drawer:checked + .open{
	background: #dc6688;
	transform: translateX(-400px);
}
#drawer:checked + .open span {
	transform: scaleX(0);
}
#drawer:checked + .open::before {
	transform: rotate(135deg) scaleX(1.2);
}
#drawer:checked + .open::after {
	transform: rotate(-135deg) scaleX(1.2);
}
#drawer:checked + .open span {
	transform: scaleX(0);
}
#drawer:checked + .open::before {
	transform: rotate(135deg) scaleX(1.2);
}
#drawer:checked + .open::after {
	transform: rotate(-135deg) scaleX(1.2);
}
#drawer:checked ~ .close {
	pointer-events: auto;
	background: rgba(0,0,0,.3);
}
.menu {
	z-index: 1;
	position: fixed;
	overflow: auto;
	top: 0;
	right: 0;
	width: 400px;
	height: 100%;
	margin: 0;
	padding: 10px;
	box-sizing: border-box;
	background: rgba(0,0,0,.6);
	//transform: translateX(100%);
	transition: transform .6s cubic-bezier(0.215, 0.61, 0.355, 1);
	display: block;
}
.menu h2 {
	color: white;
	font-family: "Ubuntu Condensed", sans-serif;
	font-weight: 400;
	letter-spacing: .1em;
	text-align: center;
}
.menu ul {
	margin: 0;
	padding: 0;
}
.menu li {
	line-height: 1.4;
}
.menu li:not(:first-child) {
	border-top: 1px solid rgba(255,255,255,.6);
}

.menu ul li {
	display: block;
}

#drawer:checked ~ .menu {
	transform: none;
}

#drawer:not(:checked) ~ .menu {
	transform: translateX(100%);
}

.setting-form {
}

.box{
	margin-bottom: 15px;
}

.item {
	display: inline-block;
	width: 140px;
	color: white;
}

.inputBox {
	display: inline-block;
	max-width: 260px;
	color: white;
}

table{
	border-collapse: collapse;
  border: 2px solid rgb(140 140 140);
  font-family: sans-serif;
  font-size: 0.8rem;
  letter-spacing: 1px;
	position: relative;
	top: 50%;
	left: 50%;
	transform: translate(-50%, 0%);
}

th, td{
  border: 1px solid rgb(160 160 160);
  padding: 8px 10px;
	text-align: center;
}

//td:last-of-type {
//  text-align: center;
//}

tbody > tr:nth-of-type(even) {
  background-color: rgb(237 238 242);
}
